Bug 188777 - CVE-2006-1741 Cross-site JavaScript injection using event handlers
CVE-2006-1741 Cross-site JavaScript injection using event handlers
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
reported=20060412,source=mozilla,emba...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-12 22:14 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-24 11:32:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-04-12 22:14:10 EDT
Cross-site JavaScript injection using event handlers


shutdown reported a method of injecting running JavaScript code into a page
on another site using a modal alert to suspend an event handler while a new
page is being loaded. This vulnerability allows an attacker to steal any
confidential information the new page might contain, including any passwords
and cookies which might allow the attacker to log on to that site as the
victim.

shutdown also reported a variant using the two-argument form of eval() that
did  not  require  a  modal  dialog  and would be much less obtrusive.
moz_bug_r_a4 reported two variants that bypassed our initial fixes, one
using  "new  Script()",  the  other  extending the eval() attack using
window.__proto__

Note: Thunderbird shares the JavaScript engine with Firefox and could be
vulnerable if JavaScript were to be enabled in mail. This is not the default
setting and we strongly discourage users from running JavaScript in mail.

Workaround

Disable JavaScript until you can upgrade to a fixed version.

References

Original vulnerability:
[1]https://bugzilla.mozilla.org/show_bug.cgi?id=296514
Firefox 1.5 fix:
[2]https://bugzilla.mozilla.org/show_bug.cgi?id=296639
Alternate fix for Firefox 1.0.8/Mozilla Suite 1.7.13:
[3]https://bugzilla.mozilla.org/show_bug.cgi?id=316589
Variants:
[4]https://bugzilla.mozilla.org/show_bug.cgi?id=311024
[5]https://bugzilla.mozilla.org/show_bug.cgi?id=311619
[6]https://bugzilla.mozilla.org/show_bug.cgi?id=316589


This issue also affects FC4
Comment 1 Josh Bressers 2006-04-24 08:30:54 EDT
Lifting embargo
Comment 2 David Eisenstein 2006-06-24 11:32:13 EDT
This bug was fixed for FC4 in Fedora Update FEDORA-2006-488
<http://www.redhat.com/archives/fedora-package-announce/2006-May/msg00019.html>.

This bug was fixed for FC5 in Fedora Update FEDORA-2006-487
<http://www.redhat.com/archives/fedora-package-announce/2006-May/msg00018.html>.

Note You need to log in before you can comment on or make changes to this bug.